﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CheckBoxList_EF_DBFirst_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            using (HobbiesEntities entities = new HobbiesEntities())
            {
                List<SelectListItem> hobbiesList = (from p in entities.Hobbies.AsEnumerable()
                                                    select new SelectListItem
                                                    {
                                                        Text = p.HobbyName,
                                                        Value = p.HobbyId.ToString()
                                                    }).ToList();
                return View(hobbiesList);
            }
        }

        [HttpPost]
        public ActionResult Index(List<SelectListItem> items)
        {
            ViewBag.Message = "Selected Items:\\n";
            foreach (SelectListItem item in items)
            {
                if (item.Selected)
                {
                    ViewBag.Message += string.Format("{0}\\n", item.Text);
                }
            }

            return View(items);
        }
    }
}